6.0.0-git
2020-02-20

[#9124] Making a registry call breaks all translations
Summary Making a registry call breaks all translations
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , jan (at) horde (dot) org
Requester goncalo.queiros (at) portugalmail (dot) net
Created 2010-07-05 (3517 days ago)
Due
Updated 2010-08-18 (3473 days ago)
Assigned 2010-07-09 (3513 days ago)
Resolved 2010-08-18 (3473 days ago)
Milestone
Patch No

History
2010-08-18 17:52:27 Jan Schneider State ⇒ Resolved
 
2010-07-14 04:46:17 Git Commit Comment #8 Reply to this comment
Changes have been made in Git for this ticket:

Ticket #9124: Remove horde/Core dependency from horde/Nls.
Move all of the Horde_Nls:: code dependent on Horde configuration to
horde/Core.  A core dependency has thus manifested itself in a bunch of
framework libraries thought to be horde/Core free (since getCharset() is
dependent on the local Horde configuration).

The following functions have been moved to registry:
Horde_Nls::config -> Horde_Registry::$nlsconfig
Horde_Nls::select() -> Horde_Registry::preferredLang()
Horde_Nls::setLanguage() -> Horde_Registry::setLanguage()
Horde_Nls::setTextdomain() -> Horde_Registry::setTextdomain()
Horde_Nls::setLanguageEnvironment() ->
Horde_Registry::setLanguageEnvironment()
Horde_Nls::isValid() -> Horde_Registry::isValidLang()
Horde_Nls::getCharset() -> Horde_Registry::getCharset()
Horde_Nls::getExternalCharset() -> Horde_Registry::getExternalCharset()
Horde_Nls::getEmailCharset() -> Horde_Registry::getEmailCharset()
Horde_Nls::setCharset() -> Horde_Registry::setCharset()
Horde_Nls::setCharsetEnvironment() ->
Horde_Registry::setCharsetEnvironment()
Horde_Nls::setTimeZone() -> Horde_Registry::setTimeZone()

Horde_Nls::generateFlagImageByHost() ->
Horde_Ui_FlagImage::generateFlagImageByHost()

Horde_Registry::initApp() now accepts the boolean 'timezone' parameter,
which will set the timezone if true.

  create mode 100644 framework/Core/lib/Horde/Core/Autoloader/Callback/Nls.php
  create mode 100644 framework/Ui/lib/Horde/Ui/FlagImage.php
http://git.horde.org/diff.php/agora/lib/Agora.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/lib/Messages.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/lib/View.php?rt=horde-git&r1=57382eb8367721a68232b41e2e702b11c5ccf367&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/messages/abuse.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/rss/index.php?rt=horde-git&r1=2f8a37fb90c62b6c62ab89ccb31e907859365733&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/rss/messages.php?rt=horde-git&r1=ee2f36def7f90274040b3c391222e91f534d359d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/rss/threads.php?rt=horde-git&r1=ee2f36def7f90274040b3c391222e91f534d359d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/agora/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/gallery/sort.php?rt=horde-git&r1=04ce072847321ac9a2eed7f88ebdd23d96969e62&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/img/ecard.php?rt=horde-git&r1=04ce072847321ac9a2eed7f88ebdd23d96969e62&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Ansel.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Block/gallery.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Block/my_galleries.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Block/recent_comments.php?rt=horde-git&r1=a4d1da8fd31e35ae64342753e9c1b57470311c19&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Block/recent_faces.php?rt=horde-git&r1=01f3b2a47fad7946a8c640fcda0a01cfaf45c648&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Block/recently_added.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Block/recently_added_geodata.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/GalleryMode/Date.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Image.php?rt=horde-git&r1=04ce072847321ac9a2eed7f88ebdd23d96969e62&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Storage.php?rt=horde-git&r1=fe9e4aefffc176596639e1b5ffb23439a76c58de&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Tags.php?rt=horde-git&r1=04ce072847321ac9a2eed7f88ebdd23d96969e62&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Tile/DateGallery.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Tile/Gallery.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/View/Base.php?rt=horde-git&r1=04ce072847321ac9a2eed7f88ebdd23d96969e62&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/lib/Widget/Links.php?rt=horde-git&r1=b563f84d8f0055a4f7fec6720778f5b961d5de8d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/rss.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/scripts/recursive_import.php?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/captions/captions.inc?rt=horde-git&r1=8a517bbf2a3f1bee8f19b8bf1de4cb270fb8a2b7&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/faces/gallery.inc?rt=horde-git&r1=b563f84d8f0055a4f7fec6720778f5b961d5de8d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/gallery/gallery.inc?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/image/crop_image.inc?rt=horde-git&r1=fc3341c129cc64b6d8584f4405adaf2d020efefc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/image/edit_image.inc?rt=horde-git&r1=fc3341c129cc64b6d8584f4405adaf2d020efefc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/image/preview_cropimage.inc?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/image/preview_image.inc?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/image/resize_image.inc?rt=horde-git&r1=fc3341c129cc64b6d8584f4405adaf2d020efefc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/list/header.inc?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/view/results.inc?rt=horde-git&r1=f77d32f1994fc8cee50933800d7eb435bc908412&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ansel/templates/xppublish/new.inc?rt=horde-git&r1=8a517bbf2a3f1bee8f19b8bf1de4cb270fb8a2b7&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/babel/lib/Display.php?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/babel/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/annotate.php?rt=horde-git&r1=81aee7e91f7214c9e181bdc30649e9bb9eeb6483&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/browsedir.php?rt=horde-git&r1=81aee7e91f7214c9e181bdc30649e9bb9eeb6483&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/cvsgraph.php?rt=horde-git&r1=81aee7e91f7214c9e181bdc30649e9bb9eeb6483&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/diff.php?rt=horde-git&r1=81aee7e91f7214c9e181bdc30649e9bb9eeb6483&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/history.php?rt=horde-git&r1=81aee7e91f7214c9e181bdc30649e9bb9eeb6483&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/lib/Chora.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/stats.php?rt=horde-git&r1=81aee7e91f7214c9e181bdc30649e9bb9eeb6483&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/chora/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/crumb/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/drag_n_drop_portal/block.php?rt=horde-git&r1=24ed26d4f3114322bbd6e202452ece91501708b0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/drag_n_drop_portal/lib/Block/Layout/View/js.php?rt=horde-git&r1=4d249a3af4faea6509fe8da806264dd5d87ab4e5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/fima/data.php?rt=horde-git&r1=9eec0f0da1c14e242b6f822e983fe22678073f10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/fima/lib/Driver/sql.php?rt=horde-git&r1=240ff73e2a3bcfe5e5649e5d9153d87b25471d36&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/fima/lib/base.php?rt=horde-git&r1=ab0b2256b777f895fce1f4fde2db62b01a536747&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/fima/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/config/hooks.php.dist?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/lib/Folks.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/lib/Notification/mail.php?rt=horde-git&r1=d2fd48146c90e2d8b20065a6d1b4caf2723267e1&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/scripts/mail-filter.php?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/scripts/mail.php?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/templates/feed/activities.php?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/folks/templates/feed/feed.php?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Ajax/lib/Horde/Ajax/Imple/SpellChecker.php?rt=horde-git&r1=76c1c091e8c027ce77dea8d76ceb2fef5d4cecb4&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Alarm/lib/Horde/Alarm/Sql.php?rt=horde-git&r1=7a2d81fd76e0612c270c8250c9ea50131e1b421f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Auth/lib/Horde/Auth/Cyrsql.php?rt=horde-git&r1=6ec7d614c26d88f25c2d2cf49e2d0263a1322106&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Auth/lib/Horde/Auth/Cyrus.php?rt=horde-git&r1=6ec7d614c26d88f25c2d2cf49e2d0263a1322106&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Auth/lib/Horde/Auth/Imap.php?rt=horde-git&r1=b4223c6c9f3977d55b38d9dcb5f71b72e2190348&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Block/lib/Horde/Block/Layout/Manager.php?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde.php?rt=horde-git&r1=648e91da8ef61ac4adb0a20bd73cf06b9fc2c130&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde/Config.php?rt=horde-git&r1=65eb2e97b7b5da9a5d102519f3bb442a96fb8937&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde/Core/Auth/Signup/Base.php?rt=horde-git&r1=52352ed01e112bd6ae1eb124cef79c5f533faf18&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/co.php/framework/Core/lib/Horde/Core/Autoloader/Callback/Nls.php?rt=horde-git&r=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde/Core/Binder/Alarm.php?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde/Core/Prefs/Ui.php?rt=horde-git&r1=48360a7399b640a69bf51ea671798837b5c49780&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde/Core/Prefs/Ui/Widgets.php?rt=horde-git&r1=75e7b21e9459391e5785427ca2aa24b63ae2e35c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/lib/Horde/Registry.php?rt=horde-git&r1=24c7f313a657fb95f3a995f77c1079d25d0c9f42&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Core/package.xml?rt=horde-git&r1=01be634d9b7a943fb6d437db62005cf99636dc10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Crypt/lib/Horde/Crypt/Pgp.php?rt=horde-git&r1=de347bba139d81860155af2c4b215eeccc180746&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Crypt/lib/Horde/Crypt/Smime.php?rt=horde-git&r1=de347bba139d81860155af2c4b215eeccc180746&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Crypt/test/Horde/Crypt/bug_6601.phpt?rt=horde-git&r1=8d38a43880bfd2f005b63d098c51bb904cdaacfd&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Crypt/test/Horde/Crypt/pgp_verify.phpt?rt=horde-git&r1=8d38a43880bfd2f005b63d098c51bb904cdaacfd&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Data/lib/Horde/Data/Csv.php?rt=horde-git&r1=af3026787e3c0fa81dd7ee1307e111a56d555a83&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/DataTree/DataTree/sql.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Form/Form/Renderer.php?rt=horde-git&r1=256b80cb99097147d66e5587ef373d5e0f416382&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Group/lib/Horde/Group/Kolab.php?rt=horde-git&r1=e322c3c80fca8144fc226407e5bc697a28a23286&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Group/lib/Horde/Group/Ldap.php?rt=horde-git&r1=2aedc0872d936a8e86cb92b099928a7d7efc83be&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab/Kolab.php?rt=horde-git&r1=4d249a3af4faea6509fe8da806264dd5d87ab4e5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Filter/lib/Horde/Kolab/Filter/Base.php?rt=horde-git&r1=240ff73e2a3bcfe5e5649e5d9153d87b25471d36&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/examples/Horde/Kolab/Format/event.php?rt=horde-git&r1=223c00ff2d4aa09b2f8f86e3de7e59914fccec10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/examples/Horde/Kolab/Format/new_type.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/lib/Horde/Kolab/Format/Xml.php?rt=horde-git&r1=61b35a6a46ac53ae0ff6ffe6532773184604a53c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/test/Horde/Kolab/Format/Integration/ContactTest.php?rt=horde-git&r1=02e4235cef0e31c14950b154d808db83e8140fb3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/test/Horde/Kolab/Format/Integration/EventTest.php?rt=horde-git&r1=02e4235cef0e31c14950b154d808db83e8140fb3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/test/Horde/Kolab/Format/Integration/MimeAttrTest.php?rt=horde-git&r1=02e4235cef0e31c14950b154d808db83e8140fb3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/test/Horde/Kolab/Format/Integration/PreferencesTest.php?rt=horde-git&r1=02e4235cef0e31c14950b154d808db83e8140fb3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/test/Horde/Kolab/Format/Integration/RecurrenceTest.php?rt=horde-git&r1=a1065d2b3e17349d48379e2a21a824a694127d08&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Format/test/Horde/Kolab/Format/Integration/XmlTest.php?rt=horde-git&r1=a1065d2b3e17349d48379e2a21a824a694127d08&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/lib/Horde/Kolab/Storage/Driver/Namespace.php?rt=horde-git&r1=60d690ae5bb3cbde8c99ae3b9c236a6a9131e5e2&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/lib/Horde/Kolab/Storage/Folder/Base.php?rt=horde-git&r1=d9cdd828c3293ec11321cbeabb78ac3cbdcc4bdd&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/Class/Driver/CclientTest.php?rt=horde-git&r1=833d25d28335b9353b6754c970bf48fef8f003cc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/Class/Driver/ImapTest.php?rt=horde-git&r1=833d25d28335b9353b6754c970bf48fef8f003cc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/Class/Driver/MockTest.php?rt=horde-git&r1=833d25d28335b9353b6754c970bf48fef8f003cc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/Class/Driver/PearTest.php?rt=horde-git&r1=833d25d28335b9353b6754c970bf48fef8f003cc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/FolderTest.php?rt=horde-git&r1=d9cdd828c3293ec11321cbeabb78ac3cbdcc4bdd&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/NamespaceTest.php?rt=horde-git&r1=d9cdd828c3293ec11321cbeabb78ac3cbdcc4bdd&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Kolab_Storage/test/Horde/Kolab/Storage/Server/DriverTest.php?rt=horde-git&r1=025a223a678509b38fbe5d9ac27d266f98309cbc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime.php?rt=horde-git&r1=d5529db1fa055dafb01aa2f29703092349e50088&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Mdn.php?rt=horde-git&r1=84a96bec34b90beb720b6a4eb90423a187add87a&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Css.php?rt=horde-git&r1=3559335be56b6872fa873b5faacb2ecf1c135d20&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Deb.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Enriched.php?rt=horde-git&r1=2effd3ce519011db72737c32c437f9c6364a23f0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Enscript.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Html.php?rt=horde-git&r1=2effd3ce519011db72737c32c437f9c6364a23f0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Msexcel.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Mspowerpoint.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Msword.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Php.php?rt=horde-git&r1=3559335be56b6872fa873b5faacb2ecf1c135d20&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Plain.php?rt=horde-git&r1=938b57520389837a9b9bae01cd573394335f22a7&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Rar.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Rfc822.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Richtext.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Rpm.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Rtf.php?rt=horde-git&r1=eb89d1087db168d4c55eef7cdc12fabc15ca848d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Smil.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Srchighlite.php?rt=horde-git&r1=3559335be56b6872fa873b5faacb2ecf1c135d20&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Tgz.php?rt=horde-git&r1=d856d10118fd027e2e45767ef7c03624c04e5aeb&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Tnef.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Vcard.php?rt=horde-git&r1=b9a76cb47c03fe592599f6094cbd585c709c337e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Webcpp.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Wordperfect.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Mime/lib/Horde/Mime/Viewer/Zip.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Model/lib/Horde/Form/Renderer/Xhtml.php?rt=horde-git&r1=0926e56fca57b4c76355ca32f0f09cd35fa5f7df&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Model/lib/Horde/Form/VarRenderer/Xhtml.php?rt=horde-git&r1=8e95f270ab419ee274e2fdeaf3844df84c34120e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Nls/lib/Horde/Nls.php?rt=horde-git&r1=88f42a7360a9ee1c72dcd44dbc650fba2583b3d8&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Nls/package.xml?rt=horde-git&r1=de347bba139d81860155af2c4b215eeccc180746&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Notification/lib/Horde/Notification/Event/Status.php?rt=horde-git&r1=1ed41f6721afe6cf43bd54c58ab8252d0346ac65&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Notification/test/Horde/Notification/Class/Notification/Event/StatusTest.php?rt=horde-git&r1=232433f7554e11c3f023a34509c0c344e2239908&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Prefs/lib/Horde/Prefs.php?rt=horde-git&r1=7caefef28736487776bc3e567a85f46bc70adfa2&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Prefs/lib/Horde/Prefs/Identity.php?rt=horde-git&r1=d2fd48146c90e2d8b20065a6d1b4caf2723267e1&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Rampage/scripts/Horde/Rampage/rampage.php?rt=horde-git&r1=61e152c1cb66d66db7fedbc358a4f417aa4e17c5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Rpc/lib/Horde/Rpc/Jsonrpc.php?rt=horde-git&r1=c5366388537acff22cc5f13944051923e30660f9&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Rpc/lib/Horde/Rpc/Soap.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Rpc/lib/Horde/Rpc/Webdav.php?rt=horde-git&r1=ca6b51851fce63520490f0c5295db8a380d281bf&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Share/lib/Horde/Share/Sql.php?rt=horde-git&r1=e322c3c80fca8144fc226407e5bc697a28a23286&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/SpellChecker/lib/Horde/SpellChecker/Aspell.php?rt=horde-git&r1=13e8d97feec86a6e7288ffbda8b10014c74c0650&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/SyncML/SyncML/Backend/Horde.php?rt=horde-git&r1=40c3c5f412af1f752b3bf42884aed3117eb07445&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/SyncML/tests/testsync.php?rt=horde-git&r1=240ff73e2a3bcfe5e5649e5d9153d87b25471d36&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Tree/lib/Horde/Tree/Javascript.php?rt=horde-git&r1=4c3f4e67987935903283a4a79381474a4639f7fe&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/co.php/framework/Ui/lib/Horde/Ui/FlagImage.php?rt=horde-git&r=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Ui/lib/Horde/Ui/JsCalendar.php?rt=horde-git&r1=84eddcad48dec5cf95ec0c39fcb5a9805d025b2a&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Ui/lib/Horde/Ui/Language.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Ui/lib/Horde/Ui/VarRenderer.php?rt=horde-git&r1=1a310b2de34193b3f984e4506d87b32de412a65e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/Ui/package.xml?rt=horde-git&r1=1ebb5952f82d1349d24831ec7bdbc7619847d210&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/framework/iCalendar/iCalendar.php?rt=horde-git&r1=3bd6cf612aa29fde902bb6a88b18b548b3aaa14b&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/gollem/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/gollem/templates/javascript_defs.php?rt=horde-git&r1=0cf200b1eaa312b96da25b86c1dcdd0182c40cb1&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/hermes/start.php?rt=horde-git&r1=31b2ac50c49873340ebb4d737f7965b5fefb762c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/hermes/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/admin/sessions.php?rt=horde-git&r1=27f3db208654339614b2fced9677d55729eb37eb&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/admin/setup/config.php?rt=horde-git&r1=3559335be56b6872fa873b5faacb2ecf1c135d20&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/admin/setup/scripts.php?rt=horde-git&r1=b23cc31ca5d964fd8f9be807871eb0595aee63d9&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/admin/sqlshell.php?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/config/hooks.php.dist?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/config/nls.php?rt=horde-git&r1=51a94b15b9864881cf5e56d6c6a2bc724a01cba5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/lib/Block/sunrise.php?rt=horde-git&r1=c0221ecd9ac876aeeb84ac9540028928db9db8b5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/lib/Block/time.php?rt=horde-git&r1=44794778d1e148b988fe57a75b3ef203883fa05f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/lib/Block/twitter_timeline.php?rt=horde-git&r1=2b3fe859d508a50fa30f58faa01b0918b42fc325&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/lib/Prefs/Ui.php?rt=horde-git&r1=ca6b51851fce63520490f0c5295db8a380d281bf&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/login.php?rt=horde-git&r1=088b82ba757203b4c1ca6331d969b373271d64d0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/scripts/upgrades/convert_datatree_groups_to_sql.php?rt=horde-git&r1=ee01f847f597abcbfe19e7719f220527c470346f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/services/language.php?rt=horde-git&r1=b23cc31ca5d964fd8f9be807871eb0595aee63d9&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/services/portal/index.php?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/services/portal/sidebar.php?rt=horde-git&r1=7c348a50499e67a0618208e755b4794b28f6fef6&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/services/problem.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/services/resetpassword.php?rt=horde-git&r1=ca6b51851fce63520490f0c5295db8a380d281bf&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/services/twitter.php?rt=horde-git&r1=56a647c9f01f66e97560fad249d81693cbb4fd83&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/templates/admin/groups/edit.inc?rt=horde-git&r1=44794778d1e148b988fe57a75b3ef203883fa05f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/horde/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/hylax/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/attachment.php?rt=horde-git&r1=5f6adf20fe681b1d040cbaa824292993daae303d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/compose-dimp.php?rt=horde-git&r1=5d365dac5c0677af0dba884864092918c12c7245&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/compose-mimp.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/compose.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/config/prefs.php.dist?rt=horde-git&r1=df76797cc3bf64bb3ee216994de06eecd6f8c082&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/contacts.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/folders.php?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Ajax/Application.php?rt=horde-git&r1=d33c62c5acac6983d420f75e3d387e355c92dbec&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Ajax/Imple/ContactAutoCompleter.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Block/Newmail.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Compose.php?rt=horde-git&r1=ae1d6ce5e8d61aba5949fd83f613943d66cbcab8&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Contents.php?rt=horde-git&r1=1941375af043934aaa683a6ef0d2f9637413b467&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Crypt/Pgp.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Crypt/Smime.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Folder.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/IMP.php?rt=horde-git&r1=21d12cdb17fdb9b271957f1bc48ae999b11ae5d8&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Imap/Flags.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/LoginTasks/Task/DeleteSentmailMonthly.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/LoginTasks/Task/RenameSentmailMonthly.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Message.php?rt=horde-git&r1=ed8c2492ceb46506afdeb99bf37c31463199bae4&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Alternative.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Appledouble.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Html.php?rt=horde-git&r1=01be634d9b7a943fb6d437db62005cf99636dc10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Images.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Itip.php?rt=horde-git&r1=3dd61a3ec5c3ff3e8209199afd28abdfd575ba6e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Mdn.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Partial.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Pdf.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Pgp.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Plain.php?rt=horde-git&r1=01be634d9b7a943fb6d437db62005cf99636dc10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Smime.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Status.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/Tnef.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Prefs/Ui.php?rt=horde-git&r1=5d61ba5314999731979fc5819b4f24c866c30baa&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Spam.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Ui/Compose.php?rt=horde-git&r1=f2fa49b1fe6f47d659b09a71371c4032236ba317&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Ui/Mailbox.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Views/ListMessages.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/lib/Views/ShowMessage.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/mailbox-mimp.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/mailbox.php?rt=horde-git&r1=25e4e9f441d22b3df2b6f6396ff8b4be3063695c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/message-mimp.php?rt=horde-git&r1=2effd3ce519011db72737c32c437f9c6364a23f0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/message.php?rt=horde-git&r1=c099e5f6cd0f63ef1a337696a2c3e785c6e9c0bf&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/rss.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/search-basic.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/search.php?rt=horde-git&r1=bf4719ffd4d666e00287a27dc1f42085a36ccb0e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/templates/common-header.inc?rt=horde-git&r1=bf04645b471373b610d645ac1da27e4b88a9437c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/templates/dimp/javascript_defs_dimp.php?rt=horde-git&r1=5e9e700df2e7b13d83f5dca834d9456fc1ec2efe&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/templates/imp/javascript_defs.php?rt=horde-git&r1=25e4e9f441d22b3df2b6f6396ff8b4be3063695c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/thread.php?rt=horde-git&r1=2effd3ce519011db72737c32c437f9c6364a23f0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/imp/view.php?rt=horde-git&r1=958dd4887697289270da5a93189f24af479b210b&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/filters.php?rt=horde-git&r1=17f5a57919fff298f5436008a2e33b930894b13a&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/lib/Ingo.php?rt=horde-git&r1=bad88c7b12aa154a64de9471361a2f28fe1f684e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/lib/Script.php?rt=horde-git&r1=840f1b2390b7936d58b2abcafdcaec1b46fff40d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/lib/Storage/Filters/Sql.php?rt=horde-git&r1=240ff73e2a3bcfe5e5649e5d9153d87b25471d36&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/lib/Storage/Prefs.php?rt=horde-git&r1=857038183dd82899a0f703287defa6e2f0bf6647&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/lib/Storage/Sql.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/rule.php?rt=horde-git&r1=17f5a57919fff298f5436008a2e33b930894b13a&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/ingo/templates/rule/header.inc?rt=horde-git&r1=840f1b2390b7936d58b2abcafdcaec1b46fff40d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jeta/templates/common-header.inc?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/delivery/rss.php?rt=horde-git&r1=02f0d2185d480f2a55973f213f59d89379b3a9ac&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/Block/latest.php?rt=horde-git&r1=02f0d2185d480f2a55973f213f59d89379b3a9ac&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/Block/news.php?rt=horde-git&r1=02f0d2185d480f2a55973f213f59d89379b3a9ac&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/Block/news_popular.php?rt=horde-git&r1=02f0d2185d480f2a55973f213f59d89379b3a9ac&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/Block/story.php?rt=horde-git&r1=02f0d2185d480f2a55973f213f59d89379b3a9ac&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/Driver.php?rt=horde-git&r1=b2a0722afb408d9075e4a1418057121ae7d58e4f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/Driver/Sql.php?rt=horde-git&r1=e2f4bc6f60a2b96f50e4e8671e3036dcc17c8624&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/News.php?rt=horde-git&r1=9be58c3c55fb74cc736d18d317af4cf50f7cd466&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/lib/News/sql.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/stories/share.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/jonah/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kastalia/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/koward/lib/Koward/View/shared/_header.html.php?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/data.php?rt=horde-git&r1=d8d246e45b047210bac2e6292f6f563d7922eee7&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/edit.php?rt=horde-git&r1=879023978f748c01bb2d889c45d1d7f6dd542569&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/fb.php?rt=horde-git&r1=240ff73e2a3bcfe5e5649e5d9153d87b25471d36&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/feed/index.php?rt=horde-git&r1=ca6b51851fce63520490f0c5295db8a380d281bf&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Ajax/Application.php?rt=horde-git&r1=53d58bff90bb3286b2f61d13014ed436f71a9a41&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Api.php?rt=horde-git&r1=d8d246e45b047210bac2e6292f6f563d7922eee7&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Application.php?rt=horde-git&r1=1a7387dd966651b49c551ae575a9e6c693ac1676&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Block/tree_alarms.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Driver/Sql.php?rt=horde-git&r1=586202d57dc3d5169a3866771504b3521bfde590&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Event.php?rt=horde-git&r1=755d7cebd4191d74755041595e327eacb694cf69&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/Kronolith.php?rt=horde-git&r1=d6fbf61e07e0fa4da2b92e76aab2d099c01666ca&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/lib/View/ExportEvent.php?rt=horde-git&r1=3bd6cf612aa29fde902bb6a88b18b548b3aaa14b&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/new.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/scripts/agenda.php?rt=horde-git&r1=d2fd48146c90e2d8b20065a6d1b4caf2723267e1&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/templates/itip/notification.html.php?rt=horde-git&r1=4bbf727346e035b9b76c0c605230a7aa951d390f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/templates/javascript_defs.php?rt=horde-git&r1=8d2f3e90b31177f89dfe1cee4a815de43bafe737&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/kronolith/templates/view/view.inc?rt=horde-git&r1=81245991409033d835df2d81ccc47a41524e7b60&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/luxor/lib/Lang/Generic.php?rt=horde-git&r1=a6e50ed6d17f606444e6bb7d4130628d36005d52&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/luxor/lib/Luxor.php?rt=horde-git&r1=a9f1b47ffa8a5c81841b0006064d571b260a8d64&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/luxor/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/mnemo/data.php?rt=horde-git&r1=9eec0f0da1c14e242b6f822e983fe22678073f10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/mnemo/lib/Driver/sql.php?rt=horde-git&r1=96cf8a5b3949868fc1cf04b2a89af22ba76c7a1f&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/mnemo/memo.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/mnemo/note/pdf.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/mnemo/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/mnemo/templates/view/memo.inc?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/data.php?rt=horde-git&r1=9eec0f0da1c14e242b6f822e983fe22678073f10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/lib/Api.php?rt=horde-git&r1=f259f6bb431c318186f11885da43c1b7aab54777&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/lib/Application.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/lib/Driver/Sql.php?rt=horde-git&r1=7e3440b207db90c35549d3fc9a76a0ef82887fa3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/lib/Forms/task.php?rt=horde-git&r1=7e3440b207db90c35549d3fc9a76a0ef82887fa3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/lib/Nag.php?rt=horde-git&r1=dd901625c8f3574de37747664f578f9399fcebc6&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/lib/Task.php?rt=horde-git&r1=7e3440b207db90c35549d3fc9a76a0ef82887fa3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/task.php?rt=horde-git&r1=7e3440b207db90c35549d3fc9a76a0ef82887fa3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/nag/templates/view/task.inc?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/Block/category.php?rt=horde-git&r1=24ed26d4f3114322bbd6e202452ece91501708b0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/Block/last.php?rt=horde-git&r1=24ed26d4f3114322bbd6e202452ece91501708b0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/Block/last_blogs.php?rt=horde-git&r1=18a88fb358ba161362cf262487a720b9ad6dd5ba&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/Block/most_commented.php?rt=horde-git&r1=24ed26d4f3114322bbd6e202452ece91501708b0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/Block/most_read.php?rt=horde-git&r1=24ed26d4f3114322bbd6e202452ece91501708b0&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/Driver/sql.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/News.php?rt=horde-git&r1=a9f1b47ffa8a5c81841b0006064d571b260a8d64&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/lib/View.php?rt=horde-git&r1=4d249a3af4faea6509fe8da806264dd5d87ab4e5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/mail.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/pdf.php?rt=horde-git&r1=240ff73e2a3bcfe5e5649e5d9153d87b25471d36&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/rss/comments.php?rt=horde-git&r1=a768948f095763e415c4339c92dc79ce77937eff&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/rss/index.php?rt=horde-git&r1=a768948f095763e415c4339c92dc79ce77937eff&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/rss/news.php?rt=horde-git&r1=4d249a3af4faea6509fe8da806264dd5d87ab4e5&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/news/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/operator/graphgen.php?rt=horde-git&r1=62bf2e16044836371a8c666f0a9f1916dd005d6e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/operator/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/pastie/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/shout/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/shout/templates/dialplan/edit.inc?rt=horde-git&r1=d876a7573c183039f5654311f690c8105b4339d3&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/skeleton/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/skoli/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/trean/add.php?rt=horde-git&r1=31b2ac50c49873340ebb4d737f7965b5fefb762c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/trean/data.php?rt=horde-git&r1=ecd882c3a0d488f156209a707b1b4c423d1ff65c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/trean/lib/Application.php?rt=horde-git&r1=ecd882c3a0d488f156209a707b1b4c423d1ff65c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/trean/lib/Bookmarks.php?rt=horde-git&r1=ecd882c3a0d488f156209a707b1b4c423d1ff65c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/trean/rss.php?rt=horde-git&r1=ecd882c3a0d488f156209a707b1b4c423d1ff65c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/trean/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/add.php?rt=horde-git&r1=2bb7416f9fa0ba83dd402aa19bd3286e0fc96c26&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/config/sources.php.dist?rt=horde-git&r1=bb5a553250e937a8e82ecfbd57fd99cc9d777c27&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/data.php?rt=horde-git&r1=af3026787e3c0fa81dd7ee1307e111a56d555a83&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/lib/Driver.php?rt=horde-git&r1=3c60eac4dad06d6d64c466a8816c9b1975a39356&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/lib/Driver/Ldap.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/lib/Driver/Sql.php?rt=horde-git&r1=972c9cde16a2aed699ecaf71fa2da946fe49f475&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/lib/Object.php?rt=horde-git&r1=a85e65cacb497253afbf558a31e439fc8d265ae4&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/lib/View/Browse.php?rt=horde-git&r1=6496bd32f49e7be1b0c21e13f2d3981393414dec&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/turba/vcard.php?rt=horde-git&r1=9eec0f0da1c14e242b6f822e983fe22678073f10&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/vilma/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/lib/Driver.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/lib/Driver/sql.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/opensearch.php?rt=horde-git&r1=530d4b8ae525ba8b42132eb9a01ce8de12e915d4&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/query/rss.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/queue/rss.php?rt=horde-git&r1=84e2d040b1e609a6e0d2ccc90abf90900a3ff6da&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/scripts/mail-filter.php?rt=horde-git&r1=54a26e22e01a369372381a50d79eb655339c0956&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/search/rss.php?rt=horde-git&r1=84e2d040b1e609a6e0d2ccc90abf90900a3ff6da&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/whups/ticket/rss.php?rt=horde-git&r1=84e2d040b1e609a6e0d2ccc90abf90900a3ff6da&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/lib/Driver.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/lib/Driver/sql.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/lib/Page.php?rt=horde-git&r1=53c5cf65e2a7adf62cb6fa46d1d3e082252aae63&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/lib/Page/MergeOrRename.php?rt=horde-git&r1=0e183475696b0f54a54e30e5918445d3995527a9&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/lib/Wicked.php?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/opensearch.php?rt=horde-git&r1=09410e906f3c089316e5ab858c52136c19cd5f3e&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/templates/common-header.inc?rt=horde-git&r1=4f3bc19eac444e3d99b7e56b188bd9f99db3686d&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/templates/edit/new.inc?rt=horde-git&r1=92b12343f3c66891d49ca8936f60a6d74bee0fdc&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/templates/edit/standard.inc?rt=horde-git&r1=4343b7a9079e436ff77770deb9adb6b1f38cc29c&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
http://git.horde.org/diff.php/wicked/templates/history/summary.inc?rt=horde-git&r1=97fd203dcaaf5ddf7c9c2252eb44ac76e8d84846&r2=a0ce9ace9c3114b59d4926dd43c89cd19f4794c4
2010-07-13 13:46:54 Chuck Hagenbuch Comment #7 Reply to this comment
On that note - is there any reason we shouldn't merge a lot of the 
Horde_Nls code into Horde_Registry (or at least the Core package)?
Makes sense to me.
2010-07-09 06:07:18 Michael Slusarz Comment #6
Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Jan - any idea?  I am not terribly familiar with Horde_Nls so I'm not 
quite sure what is/should be happening.

On that note - is there any reason we shouldn't merge a lot of the 
Horde_Nls code into Horde_Registry (or at least the Core package)?   
All the stuff dealing with setting the environment is very Horde 
specific and, at a minimum, should not be done in a package outside of 
Core.  Arguably the country/geoip/coordinates code can remain in a 
separate package, but not the rest of the stuff.  (I bring it up here 
because I am finding it hard to decipher the Horde_Nls code to debug 
the present issue precisely because it is calling core code so much)
2010-07-06 18:42:36 goncalo (dot) queiros (at) portugalmail (dot) net Comment #5 Reply to this comment
This seems to happen if you have your language pref locked...Testing 
with imp/kronolith/turba in a repo with horde code only, if i set the 
$_prefs['language'] to pt_PT and 'locked' => true, then after any 
registry call, the problem described in my post happens

2010-07-06 18:09:45 goncalo (dot) queiros (at) portugalmail (dot) net Comment #4 Reply to this comment
OK, now i tested with imp/kronolith and the translations are not 
working again..Will test it better and then report back

2010-07-06 18:03:43 goncalo (dot) queiros (at) portugalmail (dot) net Comment #3 Reply to this comment
Yep, it seems to be my applications, since i tried the same thing only 
with turba/imp and the translations are good :-/ Any point that i can 
look at? Sorry for the bug

2010-07-06 16:17:00 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Is this in code that you have written?

This doesn't sound accurate to me in general, since we do all sorts of 
registry calls during any given page load, and I/we haven't heard of 
issues re: this.
2010-07-05 17:26:13 goncalo (dot) queiros (at) portugalmail (dot) net Comment #1
Type ⇒ Bug
Priority ⇒ 1. Low
State ⇒ Unconfirmed
Summary ⇒ Making a registry call breaks all translations
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
When using imp for example, if a registry call is made for another 
application, all imp gettext sentences that appear after the registry 
call will not be translated. However, after the registry call if we 
print any sentence from the called application, it will get translated 
correctly.

Saved Queries